class Point:
# A point representing a location in (x,y) coordinate space, specified in integer precision.
	def __init__(self, loc_x, loc_y):
	#Constructs and initializes a point at the specified (x,y) location in the coordinate space.
		self.x = loc_x
		self.y = loc_y

	def translate(self, dx, dy):
	#Translates this point, at location (x,y), by dx along the x axis and dy along the y axis so that it now represents the point (x+dx,y+dy).
		self.x += dx
		self.y += dy
